Subject: Re: bug#75336: [PATCH] Allow pcomplete of git add to include untracked files.

From: Peter Seibel <[email-masked]>
Date: Sat, 4 Jan 2025 05:59:18 -0800

I just realized there's a better way to do this. New patch attached.

On Fri, Jan 3, 2025 at 11:54 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Peter Seibel <[email-masked]>
> > Date: Fri, 3 Jan 2025 16:00:27 -0800
> >
> > I was going a bit crazy trying to figure out why tab completion in
> *shell* wasn't working for git add when I was
> > trying to add a new file to my repo. Turns out pcomplete was only
> completing modified tracked files.This
> > patch changes it so after git add it also completes untracked
> non-ignored files.
>
> Augusto and Stefan, any comments?
>

-- 
Peter Seibel
http://www.gigamonkeys.com/